Debian Bug report logs - #250447
ITA: kernel-patch-usagi -- Another IPv6 implementation for Linux

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Masahito Omote <omote@debian.org>

Date: Sun, 23 May 2004 01:18:03 UTC

Owned by: Kurt Roeckx <Q@ping.be>

Severity: normal

Fixed in version kernel-patch-usagi/0.0.20051121.snap-1

Done: Kurt Roeckx <kurt@roeckx.be>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Masahito Omote <omote@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Masahito Omote <omote@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Sun, 23 May 2004 10:04:58 +0900
Package: wnpp
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Because vanilla kernel well supports IPv6 in 2.6 than 2.4 and I cannot
spare time to maintain this patch.

So I intend to orphan the kernel-patch-usagi package.

The package description is:
 kernel-patch-usagi is an another IPv6 implementation produced by USAGI
 Project. This patch improves and supports the following features,
  - Anycast support
  - ICMPv6 Node Information Queries
  - IPsec(transport mode)
  - Mobile IPv6 support
  - Privacy Extensions(RFC3041)
  - IPv6 khttpd
  - IPv4/IPv6 socket binding on the same port
  - Improve SO_REUSEADDR behavior
  - Drop IPv6 packets with malicious address
  - IPv6 default route support when IPv6 forwarding is enabled
  - Improve Neighbor Discovery Protocol support
  - Improve Stateless Address Auto-configuration support
  - RFC2553/2553bis and RFC2292/2292bis APIs support
 .
 This patch supports Linux 2.4.22. But this patch does not support
 kernel-source-2.4.22 for now.

- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.6-1
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAr/i64QYOB7JaXPERAgmlAKCGklGYc7tYK1Qde+VD6jrewPF04wCePF5R
BHeVsTDxXnsF01IZHRqzxps=
=SrVp
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul.Hampson@anu.edu.au (Paul Hampson):
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 250447@bugs.debian.org (full text, mbox):

From: Paul.Hampson@anu.edu.au (Paul Hampson)
To: 250447@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#250447: O: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Tue, 25 May 2004 22:21:05 +1000
[Message part 1 (text/plain, inline)]
On Sun, May 23, 2004 at 10:04:58AM +0900, Masahito Omote wrote:
> Package: wnpp
> Severity: normal

> Because vanilla kernel well supports IPv6 in 2.6 than 2.4 and I cannot
> spare time to maintain this patch.

> So I intend to orphan the kernel-patch-usagi package.

>  This patch supports Linux 2.4.22. But this patch does not support
>  kernel-source-2.4.22 for now.

Is anyone else interested in this?

I'm happy to help, but I really only use this for 2.6 kernels and not
for any of the interesting things like IPSec.

Also I'm not a Debian Developer, but I do have a package (freeradius)
sponsored into the archive.

If no-one else pipes up, I'll have a bash at it when I get a chance.

-- 
Paul "TBBle" Hampson, Paul.Hampson@Anu.edu.au
7th year CompSci/Asian Studies student, ANU

Shorter .sig for a more eco-friendly paperless office.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Fabio Massimo Di Nitto <fabbione@fabbione.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 250447@bugs.debian.org (full text, mbox):

From: Fabio Massimo Di Nitto <fabbione@fabbione.net>
To: Paul Hampson <Paul.Hampson@anu.edu.au>
Cc: 250447@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#250447: O: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Tue, 25 May 2004 17:06:20 +0200 (CEST)
On Tue, 25 May 2004, Paul Hampson wrote:

> On Sun, May 23, 2004 at 10:04:58AM +0900, Masahito Omote wrote:
> > Package: wnpp
> > Severity: normal
>
> > Because vanilla kernel well supports IPv6 in 2.6 than 2.4 and I cannot
> > spare time to maintain this patch.
>
> > So I intend to orphan the kernel-patch-usagi package.
>
> >  This patch supports Linux 2.4.22. But this patch does not support
> >  kernel-source-2.4.22 for now.
>
> Is anyone else interested in this?
>
> I'm happy to help, but I really only use this for 2.6 kernels and not
> for any of the interesting things like IPSec.
>
> Also I'm not a Debian Developer, but I do have a package (freeradius)
> sponsored into the archive.
>
> If no-one else pipes up, I'll have a bash at it when I get a chance.

I have started using again USAGI, I don't have enough time to work on a
full package but i will be glad to sponsor it for you.

Fabio

-- 
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <Q@ping.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 250447@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <Q@ping.be>
To: 250447@bugs.debian.org
Subject: kernel-patch-usagi
Date: Tue, 29 Jun 2004 21:42:52 +0200
I'm also interested in adopting this package.

I'm currently not a Debian Developer but I'm going thru NM.


Kurt




Changed Bug title. Request was from Kurt Roeckx <Q@ping.be> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Kurt Roeckx <Q@ping.be>. Request was from Kurt Roeckx <Q@ping.be> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kurt Roeckx <Q@ping.be>:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kurt Roeckx <Q@ping.be>. Full text and rfc822 format available.

Message #29 received at 250447@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 250447@bugs.debian.org
Subject: Bug#250447: ITA: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Fri, 16 Sep 2005 15:20:05 +0200
On Tue, Jun 29, 2004 at 09:42:52PM +0200, Kurt Roeckx wrote:
> I'm also interested in adopting this package.

Is this still the case?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kurt Roeckx <Q@ping.be>:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kurt Roeckx <Q@ping.be>. Full text and rfc822 format available.

Message #34 received at 250447@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Matej Vela <vela@debian.org>
Cc: 250447@bugs.debian.org
Subject: Re: Bug#250447: ITA: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Fri, 16 Sep 2005 18:41:15 +0200
On Fri, Sep 16, 2005 at 03:20:05PM +0200, Matej Vela wrote:
> On Tue, Jun 29, 2004 at 09:42:52PM +0200, Kurt Roeckx wrote:
> > I'm also interested in adopting this package.
> 
> Is this still the case?

Yes, and now I'm DD and don't need a sponsor I'll probably upload
this soon.

Is there a reason you're asking, or are you just going over old
ITAs?


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Kurt Roeckx <Q@ping.be>:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Kurt Roeckx <Q@ping.be>. Full text and rfc822 format available.

Message #39 received at 250447@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 250447@bugs.debian.org
Subject: Re: Bug#250447: ITA: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Sat, 17 Sep 2005 17:43:01 +0200
On Fri, Sep 16, 2005 at 06:41:15PM +0200, Kurt Roeckx wrote:
> On Fri, Sep 16, 2005 at 03:20:05PM +0200, Matej Vela wrote:
> > Is this still the case?
> 
> Yes, and now I'm DD and don't need a sponsor I'll probably upload
> this soon.
> 
> Is there a reason you're asking, or are you just going over old
> ITAs?

I'm going over old RC bugs (#309075).

Thanks,

Matej



Information stored:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #44 received at 250447-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: 250447-quiet@bugs.debian.org
Subject: Re: Bug#250447: ITA: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Mon, 21 Nov 2005 06:12:02 +0100
On Fri, Sep 16, 2005 at 18:41:15 +0200, Kurt Roeckx wrote:
> On Fri, Sep 16, 2005 at 03:20:05PM +0200, Matej Vela wrote:
>> On Tue, Jun 29, 2004 at 09:42:52PM +0200, Kurt Roeckx wrote:
>> > I'm also interested in adopting this package.
>> 
>> Is this still the case?
>
> Yes, and now I'm DD and don't need a sponsor I'll probably upload
> this soon.

Another reminder then. :-)

Thanks,

Matej



Information stored:
Bug#250447; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #49 received at 250447-quiet@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Matej Vela <vela@debian.org>
Cc: 250447-quiet@bugs.debian.org
Subject: Re: Bug#250447: ITA: kernel-patch-usagi -- Another IPv6 implementation for Linux
Date: Thu, 24 Nov 2005 00:00:48 +0100
On Mon, Nov 21, 2005 at 06:12:02AM +0100, Matej Vela wrote:
> On Fri, Sep 16, 2005 at 18:41:15 +0200, Kurt Roeckx wrote:
> > On Fri, Sep 16, 2005 at 03:20:05PM +0200, Matej Vela wrote:
> >> On Tue, Jun 29, 2004 at 09:42:52PM +0200, Kurt Roeckx wrote:
> >> > I'm also interested in adopting this package.
> >> 
> >> Is this still the case?
> >
> > Yes, and now I'm DD and don't need a sponsor I'll probably upload
> > this soon.
> 
> Another reminder then. :-)

I've been saying the past 3-4 week, this weekend you're going to
do it, but always had other things to do.

We'll see about this weekend. :)


Kurt




Reply sent to Kurt Roeckx <kurt@roeckx.be>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Masahito Omote <omote@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #54 received at 250447-close@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: 250447-close@bugs.debian.org
Subject: Bug#250447: fixed in kernel-patch-usagi 0.0.20051121.SNAP-1
Date: Sun, 27 Nov 2005 07:32:08 -0800
Source: kernel-patch-usagi
Source-Version: 0.0.20051121.SNAP-1

We believe that the bug you reported is fixed in the latest version of
kernel-patch-usagi, which is due to be installed in the Debian FTP archive:

kernel-patch-usagi_0.0.20051121.SNAP-1.dsc
  to pool/main/k/kernel-patch-usagi/kernel-patch-usagi_0.0.20051121.SNAP-1.dsc
kernel-patch-usagi_0.0.20051121.SNAP-1.tar.gz
  to pool/main/k/kernel-patch-usagi/kernel-patch-usagi_0.0.20051121.SNAP-1.tar.gz
kernel-patch-usagi_0.0.20051121.SNAP-1_all.deb
  to pool/main/k/kernel-patch-usagi/kernel-patch-usagi_0.0.20051121.SNAP-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 250447@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kurt Roeckx <kurt@roeckx.be> (supplier of updated kernel-patch-usagi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 27 Nov 2005 13:19:29 +0100
Source: kernel-patch-usagi
Binary: kernel-patch-usagi
Architecture: source all
Version: 0.0.20051121.SNAP-1
Distribution: unstable
Urgency: low
Maintainer: Kurt Roeckx <kurt@roeckx.be>
Changed-By: Kurt Roeckx <kurt@roeckx.be>
Description: 
 kernel-patch-usagi - improved IPv6 implementation for Linux
Closes: 199258 217698 227399 250447 309075 312167 317349 331543
Changes: 
 kernel-patch-usagi (0.0.20051121.SNAP-1) unstable; urgency=low
 .
   * New Maintainer (Closes: #250447)
   * Now supports 2.6.14 kernel, and will only support 2.6 kernels
     (Closes: #309075, #199258)
   * Remove message that it no longer applies to debian kernels
     also removing the need to translate it.  Thanks for all the patches
     for translations though!
     (Closes: #217698, #227399, #312167, #317349, #331543)
   * Revert usagi changes that are part of 2.6.14.3, and make a
     usagi-linux26-s20051121-2.6.14.3.diff that should apply
     to the debian source package.
Files: 
 328c3643a53b1463313208b22af40411 569 devel extra kernel-patch-usagi_0.0.20051121.SNAP-1.dsc
 e3fcd9a0813084d317f32125b53a2ce0 239742 devel extra kernel-patch-usagi_0.0.20051121.SNAP-1.tar.gz
 c69713d993c9e48490383a03d17018f8 153110 devel extra kernel-patch-usagi_0.0.20051121.SNAP-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDic4WQdwckHJElwsRAnm6AJ41Wl0S6Hs5F9heWua2SBYt6owjVACgv5RV
LsUWHAjsG0awzgCs3YXgE2Q=
=T0Rj
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:00:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:53:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.